Linux Kernel drm/i915 Component Crafted batchbuffer Local Privilege Escalation

2007-08-07T17:22:50
ID OSVDB:37124
Type osvdb
Reporter OSVDB
Modified 2007-08-07T17:22:50

Description

Solution Description

Upgrade to version 2.6.22.2 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

References:

Vendor Specific News/Changelog Entry: http://kernel.org/pub/linux/kernel/v2.6/ChangeLog-2.6.22.2 Secunia Advisory ID:26450 Secunia Advisory ID:26760 Secunia Advisory ID:26500 Secunia Advisory ID:26643 Secunia Advisory ID:26389 Secunia Advisory ID:26664 Secunia Advisory ID:27227 RedHat RHSA: RHSA-2007:0705 Other Advisory URL: http://kernel.org/pub/linux/kernel/v2.6/ChangeLog-2.6.22.2 Other Advisory URL: http://www.us.debian.org/security/2007/dsa-1356 Other Advisory URL: http://support.novell.com/techcenter/psdb/a4e6d19f94707022b621550d1049f74e.html Other Advisory URL: http://www.redhat.com/support/errata/RHSA-2007-0705.html Other Advisory URL: http://lists.opensuse.org/opensuse-security-announce/2007-10/msg00000.html Other Advisory URL: http://www.debian.org/security/2007/dsa-1356 Other Advisory URL: http://www.novell.com/linux/security/advisories/2007_51_kernel.html Other Advisory URL: http://www.ubuntu.com/usn/usn-509-1 Other Advisory URL: https://issues.rpath.com/browse/RPL-1620 Other Advisory URL: http://www.ubuntu.com/usn/usn-510-1 Other Advisory URL: http://lists.rpath.com/pipermail/security-announce/2007-August/000227.html FrSIRT Advisory: ADV-2007-2854 CVE-2007-3851 Bugtraq ID: 25263